Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZGroupEditor Class Reference

## Public Member Functions
| __construct ( $id=-1, $fetch=true)
| store ()
| delete ()
| get ( $id=-1)
| getByGroup ($groupID)
| getAll ()
| hasEditPermission ( $user, $group)
| groupHasEditor ( $group)
| id ()
| userID ()
| groupID ()
| setUser ( $user)
| setGroup ( $group)
| listGroups ()
| removeDeletedGroup ( $groupID='-1')
| dbInit ()

## Public Attributes
| $IsConnected
| $ID
| $UserID
| $GroupID
| $State_
| $Database

## Detailed Description

! eZEventCalendar eZGroupEventType handles appointment types.

Definition at line 32 of file ezgroupeditor.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZGroupEditor::__construct | ( |  | $id = `-1`,
|  |  | $fetch = `true`
| ) |  |

Constructs a new eZGroupEditor object.

If $id is set the object's values are fetched from the database.

Definition at line 40 of file ezgroupeditor.php.

References $id, and $ID.

## Member Function Documentation

## ◆ dbInit()

eZGroupEditor::dbInit | ( |  | ) |

Private function. Open the database for read and write. Gets all the database information from site.ini.

Definition at line 312 of file ezgroupeditor.php.

References eZDB\globalDatabase().

Referenced by delete(), get(), getAll(), getByGroup(), groupHasEditor(), hasEditPermission(), listGroups(), removeDeletedGroup(), and store().

## ◆ delete()

eZGroupEditor::delete | ( |  | ) |

Deletes a eZGroupEditor object from the database.

Definition at line 91 of file ezgroupeditor.php.

References dbInit().

## ◆ get()

eZGroupEditor::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 106 of file ezgroupeditor.php.

References $group_array, $id, and dbInit().

## ◆ getAll()

eZGroupEditor::getAll | ( |  | ) |

Returns all the enties in the database as an array of objects

Definition at line 156 of file ezgroupeditor.php.

References $group_array, $i, and dbInit().

## ◆ getByGroup()

eZGroupEditor::getByGroup | ( |  | $groupID | ) |

Returns all the entries for a specific group

Definition at line 130 of file ezgroupeditor.php.

References $group_array, $i, and dbInit().

## ◆ groupHasEditor()

eZGroupEditor::groupHasEditor | ( |  | $group | ) |

Returns true if the group has specified editors False if not

Definition at line 203 of file ezgroupeditor.php.

References $group, $group_array, $ret, and dbInit().

## ◆ groupID()

eZGroupEditor::groupID | ( |  | ) |

Returns the group ID of the group not to show.

Definition at line 236 of file ezgroupeditor.php.

References $GroupID.

## ◆ hasEditPermission()

eZGroupEditor::hasEditPermission | ( |  | $user,
|  |  | $group
| ) |  |

Definition at line 176 of file ezgroupeditor.php.

References $group, $group_array, $i, and dbInit().

## ◆ id()

eZGroupEditor::id | ( |  | ) |

Returns the object ID to the event. This is the unique ID stored in the database.

Definition at line 220 of file ezgroupeditor.php.

References $ID.

## ◆ listGroups()

eZGroupEditor::listGroups | ( |  | ) |

Definition at line 269 of file ezgroupeditor.php.

References $group_array, $i, and dbInit().

## ◆ removeDeletedGroup()

eZGroupEditor::removeDeletedGroup | ( |  | $groupID = `'-1'` | ) |

Removes any groups that have been deleted from the system

Definition at line 292 of file ezgroupeditor.php.

References $group_array, $i, and dbInit().

## ◆ setGroup()

eZGroupEditor::setGroup | ( |  | $group | ) |

Sets the Group field.

Definition at line 258 of file ezgroupeditor.php.

References $group, and $ID.

## ◆ setUser()

eZGroupEditor::setUser | ( |  | $user | ) |

Sets the user fields.

Definition at line 244 of file ezgroupeditor.php.

References $ID, and $user.

## ◆ store()

eZGroupEditor::store | ( |  | ) |

Stores a eZGroupEditor object to the database.

Definition at line 64 of file ezgroupeditor.php.

References dbInit().

## ◆ userID()

eZGroupEditor::userID | ( |  | ) |

Returns the user ID of the group not to show.

Definition at line 228 of file ezgroupeditor.php.

References $UserID.

## Member Data Documentation

## ◆ $Database

eZGroupEditor::$Database

Definition at line 326 of file ezgroupeditor.php.

## ◆ $GroupID

eZGroupEditor::$GroupID

Definition at line 324 of file ezgroupeditor.php.

Referenced by groupID().

## ◆ $ID

eZGroupEditor::$ID

Definition at line 322 of file ezgroupeditor.php.

Referenced by __construct(), id(), setGroup(), and setUser().

## ◆ $IsConnected

eZGroupEditor::$IsConnected

Definition at line 321 of file ezgroupeditor.php.

## ◆ $State_

eZGroupEditor::$State_

Definition at line 325 of file ezgroupeditor.php.

## ◆ $UserID

eZGroupEditor::$UserID

Definition at line 323 of file ezgroupeditor.php.

Referenced by userID().

The documentation for this class was generated from the following file:

- ezgroupeditor.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.